"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PubSub = void 0;
const graphql_redis_subscriptions_1 = require("graphql-redis-subscriptions");
const ioredis_1 = __importDefault(require("ioredis"));
class PubSub {
    REDIS_HOST;
    REDIS_PORT;
    redis;
    constructor(REDIS_HOST, REDIS_PORT) {
        this.REDIS_HOST = REDIS_HOST;
        this.REDIS_PORT = REDIS_PORT;
        const options = {
            host: REDIS_HOST,
            port: REDIS_PORT,
            retryStrategy: (times) => {
                // reconnect after
                return Math.min(times * 50, 2000);
            }
        };
        this.redis = new graphql_redis_subscriptions_1.RedisPubSub({
            publisher: new ioredis_1.default(options),
            subscriber: new ioredis_1.default(options)
        });
    }
}
exports.PubSub = PubSub;
//# sourceMappingURL=pubsub.js.map